> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a billing group

> Operacion: Update a billing group.



## OpenAPI

````yaml /generated/specs/finance.json put /api/v1/billing/groups/{id}
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/billing/groups/{id}:
    put:
      tags:
        - Billing - Grupos de Facturación
      summary: Update a billing group
      description: 'Operacion: Update a billing group.'
      operationId: BillingGroupController_updateGroup
      parameters:
        - name: id
          required: true
          in: path
          description: Billing group UUID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBillingGroupDto'
      responses:
        '200':
          description: Billing group updated successfully
        '400':
          description: Validation error
        '404':
          description: Billing group not found
        '409':
          description: Subscription already assigned to another group
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateBillingGroupDto:
      type: object
      properties:
        name:
          type: string
          description: Nombre del grupo de facturación
          example: Flota Norte
          maxLength: 100
        description_template:
          type: string
          description: >-
            Plantilla de descripción para la línea de factura. Acepta {mes},
            {año}, {patente}.
          example: Servicio GPS Flota Norte - {mes} {año}
          maxLength: 500
        receiver_giro:
          type: string
          description: >-
            Giro del receptor para las facturas del grupo. Vacío o null usa el
            giro del cliente.
          example: Venta al por menor de alimento y accesorios para mascotas
          maxLength: 500
          nullable: true
        subscription_detail_ids:
          description: IDs de suscripciones a asignar a este grupo
          example:
            - uuid-1
            - uuid-2
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token de sesión Better Auth para rutas de backoffice; las rutas de
        portal usan su token propio.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.